<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums;

/**
 * Enum DruhSubjektuZaznamuEnum
 *
 * @package Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums
 */
enum DruhSubjektuZaznamuEnum: string
{
    case POUZIVATEL = 'POUZIVATEL';
    case PRACOVISKO = 'PRACOVISKO';

    /**
     * @return string
     */
    public function label(): string
    {
        return match ($this) {
            self::POUZIVATEL => 'používateľ',
            self::PRACOVISKO => 'pracovisko',
        };
    }

    /**
     * @param \Seka\Portal\Modul\Statistiky\Entities\Zaznam\Enums\DruhSubjektuZaznamuEnum $other
     *
     * @return bool
     */
    public function equal(self $other): bool
    {
        return $this === $other;
    }
}
